Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen.asm.sc
[Java] Class StaticTypesWriterController

    java.lang.Object
      org.codehaus.groovy.classgen.asm.WriterController
          org.codehaus.groovy.classgen.asm.DelegatingController
              org.codehaus.groovy.classgen.asm.sc.StaticTypesWriterController

    public class StaticTypesWriterController
    extends DelegatingController

An alternative WriterController which handles static types and method dispatch. In case of a "mixed mode" where only some methods are annotated with TypeChecked then this writer will delegate to the classic writer controller.

Authors:
  Cedric Champeau

Field Summary
`protected boolean` | `isInStaticallyCheckedMethod`

Fields inherited from class WriterController
optimizeForInt

Constructor Summary
`StaticTypesWriterController(WriterController normalController)`

Method Summary
`BinaryExpressionHelper` | `getBinaryExpressionHelper()`
`CallSiteWriter` | `getCallSiteWriter()`
`ClosureWriter` | `getClosureWriter()`
`InvocationWriter` | `getInvocationWriter()`
`StatementWriter` | `getStatementWriter()`
`TypeChooser` | `getTypeChooser()`
`UnaryExpressionHelper` | `getUnaryExpressionHelper()`
`void` | `init(AsmClassGenerator asmClassGenerator, GeneratorContext gcon, org.objectweb.asm.ClassVisitor cv, ClassNode cn)`
`boolean` | `isFastPath()`
`void` | `setConstructorNode(ConstructorNode cn)`
`void` | `setMethodNode(MethodNode mn)`

Methods inherited from class DelegatingController
getAcg, getAssertionWriter, getBinaryExpressionHelper, getCallSiteWriter, getClassName, getClassNode, getClassVisitor, getClosureWriter, getCompileStack, getConstructorNode, getContext, getCv, getInterfaceClassLoadingClass, getInternalBaseClassName, getInternalClassName, getInvocationWriter, getMethodNode, getMethodVisitor, getOperandStack, getOutermostClass, getReturnType, getSourceUnit, getStatementWriter, getTypeChooser, getUnaryExpressionHelper, init, isConstructor, isFastPath, isInClosure, isInClosureConstructor, isInScriptBody, isNotClinit, isNotExplicitThisInClosure, isStaticConstructor, isStaticContext, isStaticMethod, setConstructorNode, setInterfaceClassLoadingClass, setMethodNode, setMethodVisitor, shouldOptimizeForInt, switchToFastPath, switchToSlowPath

Methods inherited from class WriterController
getAcg, getAssertionWriter, getBinaryExpressionHelper, getBytecodeVersion, getCallSiteWriter, getClassName, getClassNode, getClassVisitor, getClosureWriter, getCompileStack, getConstructorNode, getContext, getCv, getInterfaceClassLoadingClass, getInternalBaseClassName, getInternalClassName, getInvocationWriter, getLineNumber, getMethodNode, getMethodVisitor, getOperandStack, getOutermostClass, getReturnType, getSourceUnit, getStatementWriter, getTypeChooser, getUnaryExpressionHelper, init, isConstructor, isFastPath, isInClosure, isInClosureConstructor, isInScriptBody, isNotClinit, isNotExplicitThisInClosure, isStaticConstructor, isStaticContext, isStaticMethod, resetLineNumber, setConstructorNode, setInterfaceClassLoadingClass, setLineNumber, setMethodNode, setMethodVisitor, shouldOptimizeForInt, switchToFastPath, switchToSlowPath

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### isInStaticallyCheckedMethod

    protected boolean isInStaticallyCheckedMethod

Constructor Detail

### StaticTypesWriterController

    public StaticTypesWriterController(WriterController normalController)

Method Detail

### getBinaryExpressionHelper

    @Override
    public BinaryExpressionHelper getBinaryExpressionHelper()

### getCallSiteWriter

    @Override
    public CallSiteWriter getCallSiteWriter()

### getClosureWriter

    @Override
    public ClosureWriter getClosureWriter()

### getInvocationWriter

    @Override
    public InvocationWriter getInvocationWriter()

### getStatementWriter

    @Override
    public StatementWriter getStatementWriter()

### getTypeChooser

    @Override
    public TypeChooser getTypeChooser()

### getUnaryExpressionHelper

    @Override
    public UnaryExpressionHelper getUnaryExpressionHelper()

### init

    @Override
    public void init(AsmClassGenerator asmClassGenerator, GeneratorContext gcon, org.objectweb.asm.ClassVisitor cv, ClassNode cn)

### isFastPath

    @Override
    public boolean isFastPath()

### setConstructorNode

    @Override
    public void setConstructorNode(ConstructorNode cn)

### setMethodNode

    @Override
    public void setMethodNode(MethodNode mn)

Groovy Documentation